Scilab function

graph_power - kth power of a directed 1-graph

### Calling Sequence

  `g1 = graph_power(g,k)`

### Parameters

- `g` : graph list of the graph
- `k` : integer
- `g1` : graph list of the new graph

### Description

`graph_power` computes the directed graph `g1` which is the kth power of directed 1-graph `g`. There is an arc between two nodes in `g1` if there exists a path between these nodes of length at most k in `g`. `graph_power(g,1)` is graph `g`.

If such a graph does not exist, an empty vector is returned.

### Examples

    ta=[1 1 2 4 4 5 6 7 2 3 5 1];
    he=[2 6 3 6 7 8 8 8 4 7 3 5];
    g=make_graph('foo',1,8,ta,he);
    g('node_x')=[285  284  335  160  405  189  118  45];
    g('node_y')=[266  179   83  176  368  252  64  309];
    show_graph(g);
    g1=graph_power(g,2);
    show_graph(g1,'new');